apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
resources:
  - ../../demo23-cluster
namespace: aster-x
patches:
  - patch: |-
      - op: replace
        path: "/spec/rules/0/host"
        value: "data-exchange.aster-x.demo23.gxfs.fr"
      - op: replace
        path: "/spec/tls/0/hosts"
        value: ["data-exchange.aster-x.demo23.gxfs.fr"]
      - op: replace
        path: "/spec/tls/0/secretName"
        value: "ingress-data-exchange-tls"
    target:
      kind: Ingress
      name: data-exchange

  - patch: |-
      - op: replace
        path: "/spec/rules/0/host"
        value: "data-exchange-portal.aster-x.demo23.gxfs.fr"
      - op: replace
        path: "/spec/tls/0/hosts"
        value: [ "data-exchange-portal.aster-x.demo23.gxfs.fr" ]
      - op: replace
        path: "/spec/tls/0/secretName"
        value: "ingress-data-exchange-portal-tls"
    target:
      kind: Ingress
      name: data-exchange-portal